Documentation Index Fetch the complete documentation index at: https://docs.tolt.com/llms.txt
Use this file to discover all available pages before exploring further.
Base URL https://api.tolt.com
Query Parameters
The program ID from where you want to list the transactions
Only return transactions from this partner
Only return transactions for this customer
The order of the transactions to return by created_at. Default is desc
Specify which related objects to include in the response. Valid values are
‘customer’ , ‘program’ , and ‘partner’ . Use expand[]=customer ,
expand[]=program , or expand[]=partner to include the related objects.
Only return transactions created after this date
Only return transactions created before this date
A limit on the number of transactions to return. Default is 10, max is 100
A cursor for use in pagination. starting_after is an object ID that defines
your place in the list
A cursor for use in pagination. ending_before is an object ID that defines
your place in the list
Response
Whether the request was successful
Whether there are more pages of results available
Total number of transactions matching the query
Unique identifier for the transaction
Transaction amount in cents
ID of the associated customer
Associated charge identifier
Associated click identifier
ISO 8601 timestamp of creation
ISO 8601 timestamp of update
Source of the transaction
Program ID the transaction belongs to
ID of the referring partner
curl -X GET 'https://api.tolt.com/v1/transactions?program_id=prg_YRsbPDAKhWfdqJbFACheh' \
-H 'Authorization: Bearer <API_KEY>'
{
"success" : true ,
"has_more" : true ,
"total_count" : 45 ,
"data" : [
{
"id" : "txn_eK9bzRGn46BhVgNFHD6fDgXW" ,
"amount" : 9999 ,
"customer_id" : "cust_dK9bzRGn46BhVgNFHD6fDgXW" ,
"billing_type" : "subscription" ,
"charge_id" : "ch_9bzRGn46BhVgNFHD6fDgXW" ,
"click_id" : "clk_7mbzRGn46BhVgNFHD6fDgXW" ,
"product_id" : "prod_123" ,
"product_name" : "Premium Plan" ,
"source" : "stripe" ,
"interval" : "month" ,
"created_at" : "2025-01-15T14:30:00.000Z" ,
"updated_at" : "2025-01-15T14:30:00.000Z" ,
"program_id" : "prg_YRsbPDAKhWfdqJbFACheh" ,
"partner_id" : "part_JE3jbmkL9ci7sFaJazAv2"
}
]
}